public class ActorBean extends org.w3c.tools.jdbc.JdbcBeanAdapter {
    
    protected int    actorid   = -1;
    protected String firstname = null;
    protected String lastname  = null;

    public void setActorid(int actorid) {
	int oldvalue = this.actorid;
	this.actorid = actorid;
	pcs.firePropertyChange("actorid", oldvalue, actorid);
    }

    public int getActorid() {
	return actorid;
    }

    public void setFirstname(String firstname) {
	String oldvalue = this.firstname;
	this.firstname  = firstname;
	pcs.firePropertyChange("firstname", oldvalue, firstname);
    }

    public String getFirstname() {
	return firstname;
    }

    public void setLastname(String lastname) {
	String oldvalue = this.lastname;
	this.lastname   = lastname;
	pcs.firePropertyChange("lastname", oldvalue, lastname);
    }

    public String getLastname() {
	return lastname;
    }

}

